{
  "version": "0.2.0",
  "configurations": [
    {
      "name": "AOT Linux sum0_base",
      "type": "lldb",
      "request": "launch",
      "program": "/home/christoph/Notes/TU/MastersThesis/FailNix/injections/2026-05-11T19:19:39_sum0_base-linux-aot/system.elf",
      "args": [],
      "cwd": "/home/christoph/Notes/TU/MastersThesis/FailNix/injections/2026-05-11T19:19:39_sum0_base-linux-aot",
      "initCommands": [
        "settings set target.x86-disassembly-flavor intel",
        "breakpoint set -b main",
        "breakpoint set -b fail_start_trace",
        "breakpoint set -b fail_stop_trace",
        "breakpoint set -b fail_marker_positive",
        "breakpoint set -b fail_marker_negative",
        "breakpoint set -b invokeNative_Void",
      ],
      "sourceMap": {
        "/build/source/core": "/home/christoph/Notes/TU/MastersThesis/05 WAMR/core",
        "/home/christoph/Notes/TU/MastersThesis/FailNix/build-sum0_base": "/home/christoph/Notes/TU/MastersThesis/FailNix/injections/2026-05-11T19:19:39_sum0_base-linux-aot",
      },
    },
    {
      "name": "AOT Fail sum0_base (QEMU)",
      "type": "lldb",
      "request": "launch",
      "preLaunchTask": "Launch QEMU (sum0_base fail-aot)",
      "initCommands": ["settings set target.x86-disassembly-flavor intel"],
      "processCreateCommands": ["gdb-remote localhost:9000", "continue"],
      "targetCreateCommands": [
        "target create /home/christoph/Notes/TU/MastersThesis/FailNix/injections/2026-04-27T21-42-42_sum0_base-fail-aot/system.elf",
      ],
      "preRunCommands": [ 
        "breakpoint set -b os_main",
        "breakpoint set -b fail_start_trace",
        "breakpoint set -b fail_stop_trace",
        "breakpoint set -b fail_marker_positive",
        "breakpoint set -b fail_marker_negative",
        "breakpoint set -b invokeNative_Void",
      ],
      "sourceMap": {
        "/build/source/core": "/home/christoph/Notes/TU/MastersThesis/05 WAMR/core",
        "/home/christoph/Notes/TU/MastersThesis/FailNix/build-sum0_base": "/home/christoph/Notes/TU/MastersThesis/FailNix/injections/2026-04-27T21-42-42_sum0_base-fail-aot",
      },
    },
    {
      "name": "fail-x86-tracing-dbg",
      "type": "lldb",
      "request": "launch",
      "program": "/nix/store/z3cyzvdz8pbxccp9jyxgp57ccjjppi1j-fail-1.0.0/bin/fail-x86-tracing",
      "args": [
        "-q", "-f", "./bochs.rc", 
        "-Wf,--start-symbol=fail_start_trace", 
        "-Wf,--save-symbol=fail_start_trace", 
        "-Wf,--end-symbol=fail_stop_trace", 
        "-Wf,--state-file=./state",
        "-Wf,--trace-file=./trace.pb",
        "-Wf,--elf-file=./system.elf",
      ],
      "cwd": "/home/christoph/Notes/TU/MastersThesis/FailNix/injections/2026-05-17T23-00-56_sum0_base-fail-aot",
      "initCommands": [
        "settings set target.x86-disassembly-flavor intel",
        "breakpoint set -n GenericTracing::run()",
      ],
      "sourceMap": {
        "/home/fail/work": "/home/christoph/Notes/TU/MastersThesis/FailNix/fail/src",
      },
    }
  ],
}
